.modal-backdrop{
    position: fixed;
    top: 0;
    left: 0;
    z-index: $zindex-modal-backdrop;
    width: 100vw;
    height: 100vh;
    background-color: $modal-backdrop-bg;

    // Fade for backdrop
    &.fade { opacity: 0; }
    &.show { opacity: $modal-backdrop-opacity; }
}

.modal{
    // top: $header-height;
    // @include media-breakpoint-down(md){
    //     top: $header-height-md;
    // }

    @include media-breakpoint-down(xs){
        //top: $header-height-xs;
        padding-right: 0 !important; // bootstrap modal overwrite
        background-color: #fff;
    }

    .close{
        position: absolute;
        cursor: pointer;
        right: 40px;
        top: 40px;
        z-index: 2;
        line-height: 1;

        @include media-breakpoint-down(xs){
           top: 20px;
           right: map-get($container-paddings, "xs");
        }

        .icon{
            stroke: #999;
            width: 20px;
            height: 20px;
        }
    }
}

.modal-dialog{
    margin-top: 50px + $header-height;
    max-width: 630px;

    @include media-breakpoint-down(md){
        margin-top: 50px + $header-height-md;
    }

    @include media-breakpoint-down(sm){
        max-width: 534px;
    }

    @include media-breakpoint-down(xs){
        position: absolute;
        margin-top: $header-height-xs;
        top: 0;
        bottom: 0;
        width: 100%;
        max-width: none;
    }
}

.modal-content{
    @include media-breakpoint-down(xs){
        position: absolute;
        margin: 0;
        top: 0;
        bottom: 0;
        width: 100%;
    }
}


.modal-body{
    padding: 80px 110px 80px;

    @include media-breakpoint-down(sm){
        padding: 77px 94px 83px;
    }

    @include media-breakpoint-down(xs){
        padding: 60px map-get($container-paddings, "xs");
    }
}
